# geos::operation::relate::EdgeEndBuilder Class Reference

Computes the geomgraph::EdgeEnd objects which arise from a noded geomgraph::Edge. More...

`#include <EdgeEndBuilder.h>`

List of all members.

## Public Member Functions

std::vector < geomgraph::EdgeEnd * > * | computeEdgeEnds (std::vector< geomgraph::Edge * > *edges)
void | computeEdgeEnds (geomgraph::Edge *edge, std::vector< geomgraph::EdgeEnd * > *l)

## Protected Member Functions

void | createEdgeEndForPrev (geomgraph::Edge *edge, std::vector< geomgraph::EdgeEnd * > *l, geomgraph::EdgeIntersection *eiCurr, geomgraph::EdgeIntersection *eiPrev)
void | createEdgeEndForNext (geomgraph::Edge *edge, std::vector< geomgraph::EdgeEnd * > *l, geomgraph::EdgeIntersection *eiCurr, geomgraph::EdgeIntersection *eiNext)

## Detailed Description

Computes the geomgraph::EdgeEnd objects which arise from a noded geomgraph::Edge.

The documentation for this class was generated from the following file:

- EdgeEndBuilder.h